    Gaussian function for modeling absorption (equivalent width).

absorptiongaussian

This model is intended to be used to modify another model (e.g. by multiplying the two together). It is for use when the independent axis is in Angstroms.

>>> create_model_component("absorptiongaussian", "mdl")
>>> print(mdl)

Create a component of the absorptiongaussian model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.fwhm thawed 100 1.17549e-38 3.40282e+38 km/s mdl.pos frozen 5000 1.17549e-38 3.40282e+38 angstroms mdl.ewidth thawed 1 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
fwhm
The full-width half-maximum of the model in km/s.
pos
The center of the gaussian, in Angstroms.
ewidth
The equivalent width of the model, in Angstroms.
limit
The model is only evaluated for points that lie within limit sigma of pos. It is a hidden parameter, with a value fixed at 4.

Notes

The functional form of the model for points is:

f(x) = 1 - ampl * exp(-0.5 * ((x - pos)/sigma)^2)

ampl = ewidth / sigma / 2.50662828

sigma = pos * fwhm / (2.354820044 * c)

and for integrated data sets the low-edge of the grid is used. The calculation is only done for those points that are in the range:

|x - pos| < limit * sigma

Outside this range the model is set to 1.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023